DEBUG: checking location 6.5 5.5
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 5.98 5.5
DEBUG: overlap 18.2
DEBUG: checking location 6.5 5.06
DEBUG: overlap 15.4
DEBUG: checking location 22.5 28
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 23.5 28
DEBUG: overlap 20.4381
DEBUG: checking location 22.5 28.4
DEBUG: overlap 5.26884
DEBUG: checking location 28 26
DEBUG: overlap 335.581
DEBUG: updating best location
DEBUG: checking location 28 23.2
DEBUG: overlap 208.378
DEBUG: updating best location
DEBUG: checking location 28 20.4
DEBUG: overlap 105.046
DEBUG: updating best location
DEBUG: checking location 28 17.6
DEBUG: overlap 28.1097
DEBUG: updating best location
DEBUG: checking location 28 14.8
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 28.56 14.8
DEBUG: overlap 39.2
DEBUG: checking location 28 15.36
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 28.56 15.36
DEBUG: overlap 39.2
DEBUG: checking location 28 15.92
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 28.56 15.92
DEBUG: overlap 39.2
DEBUG: checking location 28 16.48
DEBUG: overlap 5.6867
DEBUG: checking location 25 29
DEBUG: overlap 384.64
DEBUG: updating best location
DEBUG: checking location 25 27.4
DEBUG: overlap 378.47
DEBUG: updating best location
DEBUG: checking location 25 25.8
DEBUG: overlap 318.211
DEBUG: updating best location
DEBUG: checking location 25 24.2
DEBUG: overlap 256.862
DEBUG: updating best location
DEBUG: checking location 25 22.6
DEBUG: overlap 215.048
DEBUG: updating best location
DEBUG: checking location 25 21
DEBUG: overlap 242.356
DEBUG: checking location 25 19.4
DEBUG: overlap 321.434
DEBUG: checking location 25 17.8
DEBUG: overlap 394.8
DEBUG: checking location 25 16.2
DEBUG: overlap 458.8
DEBUG: checking location 25 14.6
DEBUG: overlap 433.265
DEBUG: checking location 25 13
DEBUG: overlap 353.642
DEBUG: checking location 25 11.4
DEBUG: overlap 242.668
DEBUG: checking location 25 9.8
DEBUG: overlap 131.701
DEBUG: updating best location
DEBUG: checking location 25 8.2
DEBUG: overlap 61.9753
DEBUG: updating best location
DEBUG: checking location 25 6.6
DEBUG: overlap 16.7037
DEBUG: updating best location
DEBUG: checking location 25 5
DEBUG: overlap 0.513427
DEBUG: updating best location
DEBUG: checking location 21 29
DEBUG: overlap 394.415
DEBUG: checking location 21 27.4
DEBUG: overlap 393.572
DEBUG: checking location 21 25.8
DEBUG: overlap 301.164
DEBUG: checking location 21 24.2
DEBUG: overlap 206.854
DEBUG: checking location 21 22.6
DEBUG: overlap 148.182
DEBUG: checking location 21 21
DEBUG: overlap 133.788
DEBUG: checking location 21 19.4
DEBUG: overlap 180.467
DEBUG: checking location 21 17.8
DEBUG: overlap 244.8
DEBUG: checking location 21 16.2
DEBUG: overlap 308.8
DEBUG: checking location 21 14.6
DEBUG: overlap 308.942
DEBUG: checking location 21 13
DEBUG: overlap 271.33
DEBUG: checking location 21 11.4
DEBUG: overlap 207.843
DEBUG: checking location 21 9.8
DEBUG: overlap 143.843
DEBUG: checking location 21 8.2
DEBUG: overlap 90.6807
DEBUG: checking location 21 6.6
DEBUG: overlap 80
DEBUG: checking location 21 5
DEBUG: overlap 70
DEBUG: checking location 17 29
DEBUG: overlap 254.856
DEBUG: checking location 17 27.4
DEBUG: overlap 227.717
DEBUG: checking location 17 25.8
DEBUG: overlap 157.522
DEBUG: checking location 17 24.2
DEBUG: overlap 72.9867
DEBUG: checking location 17 22.6
DEBUG: overlap 16.7856
DEBUG: checking location 17 21
DEBUG: overlap 30.3371
DEBUG: checking location 17 19.4
DEBUG: overlap 75.6
DEBUG: checking location 17 17.8
DEBUG: overlap 123.6
DEBUG: checking location 17 16.2
DEBUG: overlap 171.6
DEBUG: checking location 17 14.6
DEBUG: overlap 213.11
DEBUG: checking location 17 13
DEBUG: overlap 246.301
DEBUG: checking location 17 11.4
DEBUG: overlap 246.814
DEBUG: checking location 17 9.8
DEBUG: overlap 246.814
DEBUG: checking location 17 8.2
DEBUG: overlap 238.814
DEBUG: checking location 17 6.6
DEBUG: overlap 228.304
DEBUG: checking location 17 5
DEBUG: overlap 190.113
DEBUG: checking location 13 29
DEBUG: overlap 183.94
DEBUG: checking location 13 27.4
DEBUG: overlap 153.697
DEBUG: checking location 13 25.8
DEBUG: overlap 101.343
DEBUG: checking location 13 24.2
DEBUG: overlap 39.3707
DEBUG: checking location 13 22.6
DEBUG: overlap 0.240896
DEBUG: updating best location
DEBUG: checking location 13 21
DEBUG: overlap 9.2
DEBUG: checking location 13 19.4
DEBUG: overlap 25.2
DEBUG: checking location 13 17.8
DEBUG: overlap 41.2
DEBUG: checking location 13 16.2
DEBUG: overlap 57.2
DEBUG: checking location 13 14.6
DEBUG: overlap 91.2
DEBUG: checking location 13 13
DEBUG: overlap 168.518
DEBUG: checking location 13 11.4
DEBUG: overlap 225.032
DEBUG: checking location 13 9.8
DEBUG: overlap 287.032
DEBUG: checking location 13 8.2
DEBUG: overlap 327.032
DEBUG: checking location 13 6.6
DEBUG: overlap 337.032
DEBUG: checking location 13 5
DEBUG: overlap 300.513
DEBUG: checking location 13.8 22.6
DEBUG: overlap 0.424116
DEBUG: checking location 13 22.92
DEBUG: overlap 2.42934
DEBUG: checking location 27.5 25.5
DEBUG: overlap 343.209
DEBUG: updating best location
DEBUG: checking location 27.5 22.5
DEBUG: overlap 435.614
DEBUG: checking location 27.5 19.5
DEBUG: overlap 424.031
DEBUG: checking location 27.5 16.5
DEBUG: overlap 370.348
DEBUG: checking location 27.5 13.5
DEBUG: overlap 335.624
DEBUG: updating best location
DEBUG: checking location 27.5 10.5
DEBUG: overlap 359.624
DEBUG: checking location 27.5 7.5
DEBUG: overlap 281.547
DEBUG: updating best location
DEBUG: checking location 24.5 25.5
DEBUG: overlap 309.153
DEBUG: checking location 24.5 22.5
DEBUG: overlap 398.437
DEBUG: checking location 24.5 19.5
DEBUG: overlap 409.488
DEBUG: checking location 24.5 16.5
DEBUG: overlap 341.896
DEBUG: checking location 24.5 13.5
DEBUG: overlap 278.444
DEBUG: updating best location
DEBUG: checking location 24.5 10.5
DEBUG: overlap 266.444
DEBUG: updating best location
DEBUG: checking location 24.5 7.5
DEBUG: overlap 198.862
DEBUG: updating best location
DEBUG: checking location 21.5 25.5
DEBUG: overlap 164.369
DEBUG: updating best location
DEBUG: checking location 21.5 22.5
DEBUG: overlap 280.89
DEBUG: checking location 21.5 19.5
DEBUG: overlap 311.148
DEBUG: checking location 21.5 16.5
DEBUG: overlap 308.815
DEBUG: checking location 21.5 13.5
DEBUG: overlap 249.829
DEBUG: checking location 21.5 10.5
DEBUG: overlap 201.829
DEBUG: checking location 21.5 7.5
DEBUG: overlap 144.733
DEBUG: updating best location
DEBUG: checking location 18.5 25.5
DEBUG: overlap 126.826
DEBUG: updating best location
DEBUG: checking location 18.5 22.5
DEBUG: overlap 284.779
DEBUG: checking location 18.5 19.5
DEBUG: overlap 336.33
DEBUG: checking location 18.5 16.5
DEBUG: overlap 395.456
DEBUG: checking location 18.5 13.5
DEBUG: overlap 297.169
DEBUG: checking location 18.5 10.5
DEBUG: overlap 168.169
DEBUG: checking location 18.5 7.5
DEBUG: overlap 110.169
DEBUG: updating best location
DEBUG: checking location 15.5 25.5
DEBUG: overlap 229.365
DEBUG: checking location 15.5 22.5
DEBUG: overlap 345.184
DEBUG: checking location 15.5 19.5
DEBUG: overlap 362.172
DEBUG: checking location 15.5 16.5
DEBUG: overlap 415.718
DEBUG: checking location 15.5 13.5
DEBUG: overlap 268.232
DEBUG: checking location 15.5 10.5
DEBUG: overlap 88.2318
DEBUG: updating best location
DEBUG: checking location 15.5 7.5
DEBUG: overlap 59.0318
DEBUG: updating best location
DEBUG: checking location 12.5 25.5
DEBUG: overlap 202.381
DEBUG: checking location 12.5 22.5
DEBUG: overlap 277.754
DEBUG: checking location 12.5 19.5
DEBUG: overlap 290.635
DEBUG: checking location 12.5 16.5
DEBUG: overlap 328
DEBUG: checking location 12.5 13.5
DEBUG: overlap 180
DEBUG: checking location 12.5 10.5
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 13.1 10.5
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 13.1 11.1
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 13.7 11.1
DEBUG: overlap 9
DEBUG: checking location 13.1 11.7
DEBUG: overlap 45
DEBUG: checking location 7 4
DEBUG: overlap 420
DEBUG: updating best location
DEBUG: checking location 7 5.6
DEBUG: overlap 428
DEBUG: checking location 7 7.2
DEBUG: overlap 398
DEBUG: updating best location
DEBUG: checking location 7 8.8
DEBUG: overlap 302
DEBUG: updating best location
DEBUG: checking location 7 10.4
DEBUG: overlap 204
DEBUG: updating best location
DEBUG: checking location 7 12
DEBUG: overlap 164.8
DEBUG: updating best location
DEBUG: checking location 7 13.6
DEBUG: overlap 152
DEBUG: updating best location
DEBUG: checking location 7 15.2
DEBUG: overlap 171
DEBUG: checking location 7 16.8
DEBUG: overlap 247
DEBUG: checking location 7 18.4
DEBUG: overlap 319
DEBUG: checking location 7 20
DEBUG: overlap 346.2
DEBUG: checking location 7 21.6
DEBUG: overlap 342.961
DEBUG: checking location 7 23.2
DEBUG: overlap 315.769
DEBUG: checking location 7 24.8
DEBUG: overlap 254.916
DEBUG: checking location 7 26.4
DEBUG: overlap 199.288
DEBUG: checking location 7 28
DEBUG: overlap 128.251
DEBUG: updating best location
DEBUG: checking location 9.8 4
DEBUG: overlap 343.4
DEBUG: checking location 9.8 5.6
DEBUG: overlap 382.4
DEBUG: checking location 9.8 7.2
DEBUG: overlap 375.8
DEBUG: checking location 9.8 8.8
DEBUG: overlap 294.2
DEBUG: checking location 9.8 10.4
DEBUG: overlap 212.6
DEBUG: checking location 9.8 12
DEBUG: overlap 201.4
DEBUG: checking location 9.8 13.6
DEBUG: overlap 203
DEBUG: checking location 9.8 15.2
DEBUG: overlap 235.8
DEBUG: checking location 9.8 16.8
DEBUG: overlap 333.8
DEBUG: checking location 9.8 18.4
DEBUG: overlap 428.2
DEBUG: checking location 9.8 20
DEBUG: overlap 458.2
DEBUG: checking location 9.8 21.6
DEBUG: overlap 447.357
DEBUG: checking location 9.8 23.2
DEBUG: overlap 420.165
DEBUG: checking location 9.8 24.8
DEBUG: overlap 352.001
DEBUG: checking location 9.8 26.4
DEBUG: overlap 291.012
DEBUG: checking location 9.8 28
DEBUG: overlap 211.596
DEBUG: checking location 12.6 4
DEBUG: overlap 272
DEBUG: checking location 12.6 5.6
DEBUG: overlap 334
DEBUG: checking location 12.6 7.2
DEBUG: overlap 346.6
DEBUG: checking location 12.6 8.8
DEBUG: overlap 289.4
DEBUG: checking location 12.6 10.4
DEBUG: overlap 230.2
DEBUG: checking location 12.6 12
DEBUG: overlap 248
DEBUG: checking location 12.6 13.6
DEBUG: overlap 276.8
DEBUG: checking location 12.6 15.2
DEBUG: overlap 313
DEBUG: checking location 12.6 16.8
DEBUG: overlap 401
DEBUG: checking location 12.6 18.4
DEBUG: overlap 489
DEBUG: checking location 12.6 20
DEBUG: overlap 500
DEBUG: checking location 12.6 21.6
DEBUG: overlap 454.357
DEBUG: checking location 12.6 23.2
DEBUG: overlap 405.884
DEBUG: checking location 12.6 24.8
DEBUG: overlap 360.866
DEBUG: checking location 12.6 26.4
DEBUG: overlap 299.87
DEBUG: checking location 12.6 28
DEBUG: overlap 208.669
DEBUG: checking location 15.4 4
DEBUG: overlap 223
DEBUG: checking location 15.4 5.6
DEBUG: overlap 290.8
DEBUG: checking location 15.4 7.2
DEBUG: overlap 325.8
DEBUG: checking location 15.4 8.8
DEBUG: overlap 302.687
DEBUG: checking location 15.4 10.4
DEBUG: overlap 273.8
DEBUG: checking location 15.4 12
DEBUG: overlap 294.4
DEBUG: checking location 15.4 13.6
DEBUG: overlap 323.2
DEBUG: checking location 15.4 15.2
DEBUG: overlap 356.6
DEBUG: checking location 15.4 16.8
DEBUG: overlap 422.2
DEBUG: checking location 15.4 18.4
DEBUG: overlap 484.64
DEBUG: checking location 15.4 20
DEBUG: overlap 500
DEBUG: checking location 15.4 21.6
DEBUG: overlap 459.357
DEBUG: checking location 15.4 23.2
DEBUG: overlap 418.259
DEBUG: checking location 15.4 24.8
DEBUG: overlap 386.999
DEBUG: checking location 15.4 26.4
DEBUG: overlap 329.444
DEBUG: checking location 15.4 28
DEBUG: overlap 236.256
DEBUG: checking location 18.2 4
DEBUG: overlap 142
DEBUG: checking location 18.2 5.6
DEBUG: overlap 193.546
DEBUG: checking location 18.2 7.2
DEBUG: overlap 244.513
DEBUG: checking location 18.2 8.8
DEBUG: overlap 255.713
DEBUG: checking location 18.2 10.4
DEBUG: overlap 265.333
DEBUG: checking location 18.2 12
DEBUG: overlap 319.327
DEBUG: checking location 18.2 13.6
DEBUG: overlap 361.168
DEBUG: checking location 18.2 15.2
DEBUG: overlap 385.32
DEBUG: checking location 18.2 16.8
DEBUG: overlap 430.12
DEBUG: checking location 18.2 18.4
DEBUG: overlap 460.12
DEBUG: checking location 18.2 20
DEBUG: overlap 461.92
DEBUG: checking location 18.2 21.6
DEBUG: overlap 436.877
DEBUG: checking location 18.2 23.2
DEBUG: overlap 417.122
DEBUG: checking location 18.2 24.8
DEBUG: overlap 391.086
DEBUG: checking location 18.2 26.4
DEBUG: overlap 342.777
DEBUG: checking location 18.2 28
DEBUG: overlap 263.815
DEBUG: checking location 21 4
DEBUG: overlap 88
DEBUG: updating best location
DEBUG: checking location 21 5.6
DEBUG: overlap 125.146
DEBUG: checking location 21 7.2
DEBUG: overlap 178.834
DEBUG: checking location 21 8.8
DEBUG: overlap 225.569
DEBUG: checking location 21 10.4
DEBUG: overlap 265.569
DEBUG: checking location 21 12
DEBUG: overlap 335.535
DEBUG: checking location 21 13.6
DEBUG: overlap 399.423
DEBUG: checking location 21 15.2
DEBUG: overlap 413.735
DEBUG: checking location 21 16.8
DEBUG: overlap 415
DEBUG: checking location 21 18.4
DEBUG: overlap 400.2
DEBUG: checking location 21 20
DEBUG: overlap 376.8
DEBUG: checking location 21 21.6
DEBUG: overlap 337.571
DEBUG: checking location 21 23.2
DEBUG: overlap 325.186
DEBUG: checking location 21 24.8
DEBUG: overlap 330.096
DEBUG: checking location 21 26.4
DEBUG: overlap 289.444
DEBUG: checking location 21 28
DEBUG: overlap 219.016
DEBUG: checking location 23.8 4
DEBUG: overlap 83.6
DEBUG: updating best location
DEBUG: checking location 23.8 5.6
DEBUG: overlap 119.146
DEBUG: checking location 23.8 7.2
DEBUG: overlap 171.234
DEBUG: checking location 23.8 8.8
DEBUG: overlap 230.917
DEBUG: checking location 23.8 10.4
DEBUG: overlap 293.341
DEBUG: checking location 23.8 12
DEBUG: overlap 369.134
DEBUG: checking location 23.8 13.6
DEBUG: overlap 432.97
DEBUG: checking location 23.8 15.2
DEBUG: overlap 430.96
DEBUG: checking location 23.8 16.8
DEBUG: overlap 398.08
DEBUG: checking location 23.8 18.4
DEBUG: overlap 353.4
DEBUG: checking location 23.8 20
DEBUG: overlap 314.189
DEBUG: checking location 23.8 21.6
DEBUG: overlap 285.736
DEBUG: checking location 23.8 23.2
DEBUG: overlap 298.838
DEBUG: checking location 23.8 24.8
DEBUG: overlap 317.84
DEBUG: checking location 23.8 26.4
DEBUG: overlap 306.324
DEBUG: checking location 23.8 28
DEBUG: overlap 272.964
DEBUG: checking location 26.6 4
DEBUG: overlap 22
DEBUG: updating best location
DEBUG: checking location 26.6 5.6
DEBUG: overlap 35.1459
DEBUG: checking location 26.6 7.2
DEBUG: overlap 65.174
DEBUG: checking location 26.6 8.8
DEBUG: overlap 137.919
DEBUG: checking location 26.6 10.4
DEBUG: overlap 234.229
DEBUG: checking location 26.6 12
DEBUG: overlap 326.573
DEBUG: checking location 26.6 13.6
DEBUG: overlap 406.227
DEBUG: checking location 26.6 15.2
DEBUG: overlap 424.999
DEBUG: checking location 26.6 16.8
DEBUG: overlap 395.2
DEBUG: checking location 26.6 18.4
DEBUG: overlap 350.4
DEBUG: checking location 26.6 20
DEBUG: overlap 309.085
DEBUG: checking location 26.6 21.6
DEBUG: overlap 286.632
DEBUG: checking location 26.6 23.2
DEBUG: overlap 304.895
DEBUG: checking location 26.6 24.8
DEBUG: overlap 341.955
DEBUG: checking location 26.6 26.4
DEBUG: overlap 353.883
DEBUG: checking location 26.6 28
DEBUG: overlap 345.544
DEBUG: checking location 26.04 4
DEBUG: overlap 34.32
DEBUG: checking location 26.6 3.68
DEBUG: overlap 39.6
DEBUG: checking location 2.5 31
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 2.3 31
DEBUG: overlap 4
DEBUG: checking location 2.5 31.16
DEBUG: overlap 4
total construct overlap = 22.2409
DEBUG: time 119 iteration 0
overlap 0 1 22
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0.240896
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 22.2409
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 221.866
connectivity 1 2 117.564
connectivity 3 4 133.36
connectivity 4 5 129.735
total connect 602.525
total separate 0
part 0 blocked by volume of 506
part 1 blocked by volume of 1442.04
total block 1948.04
BODY 0 FACE 8 DIR (-1 -0 -0)
BODY 1 FACE 6 DIR (-0 1 -0)
BODY 1 FACE 7 DIR (1 -0 -0)
DEBUG: checking location 7 29
DEBUG: overlap 100
DEBUG: updating best location
DEBUG: checking location 7 27.4
DEBUG: overlap 60
DEBUG: updating best location
DEBUG: checking location 7 25.8
DEBUG: overlap 20
DEBUG: updating best location
DEBUG: checking location 7 24.2
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 6.44 24.2
DEBUG: overlap 22.4
DEBUG: checking location 7 24.52
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 6.44 24.52
DEBUG: overlap 22.4
DEBUG: checking location 7 24.84
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 6.44 24.84
DEBUG: overlap 22.4
DEBUG: checking location 7 25.16
DEBUG: overlap 4
DEBUG: checking location 27.5 25.5
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 28.1 25.5
DEBUG: overlap 45
DEBUG: checking location 27.5 26.1
DEBUG: overlap 45
DEBUG: checking location 28.5 27.5
DEBUG: overlap 280
DEBUG: updating best location
DEBUG: checking location 28.5 25.3
DEBUG: overlap 225
DEBUG: updating best location
DEBUG: checking location 28.5 23.1
DEBUG: overlap 180
DEBUG: updating best location
DEBUG: checking location 28.5 20.9
DEBUG: overlap 168
DEBUG: updating best location
DEBUG: checking location 28.5 18.7
DEBUG: overlap 124
DEBUG: updating best location
DEBUG: checking location 28.5 16.5
DEBUG: overlap 80
DEBUG: updating best location
DEBUG: checking location 28.5 14.3
DEBUG: overlap 36
DEBUG: updating best location
DEBUG: checking location 28.5 12.1
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 29.02 12.1
DEBUG: overlap 23.4
DEBUG: checking location 28.5 12.54
DEBUG: overlap 0.8
DEBUG: checking location 10 29
DEBUG: overlap 328.8
DEBUG: updating best location
DEBUG: checking location 10 27.4
DEBUG: overlap 396.4
DEBUG: checking location 10 25.8
DEBUG: overlap 416.8
DEBUG: checking location 10 24.2
DEBUG: overlap 381.6
DEBUG: checking location 10 22.6
DEBUG: overlap 273.2
DEBUG: updating best location
DEBUG: checking location 10 21
DEBUG: overlap 169.6
DEBUG: updating best location
DEBUG: checking location 10 19.4
DEBUG: overlap 73.6
DEBUG: updating best location
DEBUG: checking location 10 17.8
DEBUG: overlap 19.2
DEBUG: updating best location
DEBUG: checking location 10 16.2
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 9.2 16.2
DEBUG: overlap 32
DEBUG: checking location 10 16.52
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 9.2 16.52
DEBUG: overlap 32
DEBUG: checking location 10 16.84
DEBUG: overlap 0
DEBUG: updating best location
DEBUG: checking location 9.2 16.84
DEBUG: overlap 32
DEBUG: checking location 10 17.16
DEBUG: overlap 6.4
DEBUG: checking location 12.5 5
DEBUG: overlap 26.2359
DEBUG: updating best location
DEBUG: checking location 12.5 7
DEBUG: overlap 55.5316
DEBUG: checking location 12.5 9
DEBUG: overlap 95.853
DEBUG: checking location 12.5 11
DEBUG: overlap 157.707
DEBUG: checking location 12.5 13
DEBUG: overlap 270.409
DEBUG: checking location 12.5 15
DEBUG: overlap 369.104
DEBUG: checking location 12.5 17
DEBUG: overlap 379.014
DEBUG: checking location 12.5 19
DEBUG: overlap 292.676
DEBUG: checking location 12.5 21
DEBUG: overlap 239.044
DEBUG: checking location 12.5 23
DEBUG: overlap 222.974
DEBUG: checking location 12.5 25
DEBUG: overlap 206.165
DEBUG: checking location 12.5 27
DEBUG: overlap 223.305
DEBUG: checking location 17.5 5
DEBUG: overlap 102.174
DEBUG: checking location 17.5 7
DEBUG: overlap 175.087
DEBUG: checking location 17.5 9
DEBUG: overlap 249.917
DEBUG: checking location 17.5 11
DEBUG: overlap 302.682
DEBUG: checking location 17.5 13
DEBUG: overlap 362.381
DEBUG: checking location 17.5 15
DEBUG: overlap 378.304
DEBUG: checking location 17.5 17
DEBUG: overlap 294.182
DEBUG: checking location 17.5 19
DEBUG: overlap 178.143
DEBUG: checking location 17.5 21
DEBUG: overlap 119.405
DEBUG: checking location 17.5 23
DEBUG: overlap 135.407
DEBUG: checking location 17.5 25
DEBUG: overlap 175.702
DEBUG: checking location 17.5 27
DEBUG: overlap 226.313
DEBUG: checking location 22.5 5
DEBUG: overlap 65.6618
DEBUG: checking location 22.5 7
DEBUG: overlap 173.597
DEBUG: checking location 22.5 9
DEBUG: overlap 279.328
DEBUG: checking location 22.5 11
DEBUG: overlap 381.598
DEBUG: checking location 22.5 13
DEBUG: overlap 478.748
DEBUG: checking location 22.5 15
DEBUG: overlap 473.412
DEBUG: checking location 22.5 17
DEBUG: overlap 410.555
DEBUG: checking location 22.5 19
DEBUG: overlap 316.238
DEBUG: checking location 22.5 21
DEBUG: overlap 220.345
DEBUG: checking location 22.5 23
DEBUG: overlap 205.852
DEBUG: checking location 22.5 25
DEBUG: overlap 222.988
DEBUG: checking location 22.5 27
DEBUG: overlap 266.076
DEBUG: checking location 11.5 5
DEBUG: overlap 28.1372
DEBUG: checking location 12.5 4.6
DEBUG: overlap 26.1784
DEBUG: updating best location
DEBUG: checking location 11.5 4.6
DEBUG: overlap 30.0826
DEBUG: checking location 12.5 4.2
DEBUG: overlap 30.6506
DEBUG: checking location 7 26
DEBUG: overlap 455.149
DEBUG: updating best location
DEBUG: checking location 7 23.2
DEBUG: overlap 463.613
DEBUG: checking location 7 20.4
DEBUG: overlap 513.468
DEBUG: checking location 7 17.6
DEBUG: overlap 501.747
DEBUG: checking location 7 14.8
DEBUG: overlap 357.6
DEBUG: updating best location
DEBUG: checking location 7 12
DEBUG: overlap 254.198
DEBUG: updating best location
DEBUG: checking location 7 9.2
DEBUG: overlap 226.507
DEBUG: updating best location
DEBUG: checking location 9.8 26
DEBUG: overlap 354.365
DEBUG: checking location 9.8 23.2
DEBUG: overlap 341.613
DEBUG: checking location 9.8 20.4
DEBUG: overlap 411.628
DEBUG: checking location 9.8 17.6
DEBUG: overlap 456.467
DEBUG: checking location 9.8 14.8
DEBUG: overlap 363.252
DEBUG: checking location 9.8 12
DEBUG: overlap 272.133
DEBUG: checking location 9.8 9.2
DEBUG: overlap 240.487
DEBUG: checking location 12.6 26
DEBUG: overlap 256.507
DEBUG: checking location 12.6 23.2
DEBUG: overlap 269.613
DEBUG: checking location 12.6 20.4
DEBUG: overlap 359.788
DEBUG: checking location 12.6 17.6
DEBUG: overlap 451.267
DEBUG: checking location 12.6 14.8
DEBUG: overlap 398.384
DEBUG: checking location 12.6 12
DEBUG: overlap 289.712
DEBUG: checking location 12.6 9.2
DEBUG: overlap 252.48
DEBUG: checking location 15.4 26
DEBUG: overlap 197.546
DEBUG: updating best location
DEBUG: checking location 15.4 23.2
DEBUG: overlap 194.581
DEBUG: updating best location
DEBUG: checking location 15.4 20.4
DEBUG: overlap 277.021
DEBUG: checking location 15.4 17.6
DEBUG: overlap 379.067
DEBUG: checking location 15.4 14.8
DEBUG: overlap 330.063
DEBUG: checking location 15.4 12
DEBUG: overlap 255.761
DEBUG: checking location 15.4 9.2
DEBUG: overlap 283.535
DEBUG: checking location 18.2 26
DEBUG: overlap 152.64
DEBUG: updating best location
DEBUG: checking location 18.2 23.2
DEBUG: overlap 141.635
DEBUG: updating best location
DEBUG: checking location 18.2 20.4
DEBUG: overlap 210.166
DEBUG: checking location 18.2 17.6
DEBUG: overlap 311.371
DEBUG: checking location 18.2 14.8
DEBUG: overlap 272.876
DEBUG: checking location 18.2 12
DEBUG: overlap 262.833
DEBUG: checking location 18.2 9.2
DEBUG: overlap 362.122
DEBUG: checking location 21 26
DEBUG: overlap 129.922
DEBUG: updating best location
DEBUG: checking location 21 23.2
DEBUG: overlap 131.846
DEBUG: checking location 21 20.4
DEBUG: overlap 207.846
DEBUG: checking location 21 17.6
DEBUG: overlap 278.967
DEBUG: checking location 21 14.8
DEBUG: overlap 287.214
DEBUG: checking location 21 12
DEBUG: overlap 341.271
DEBUG: checking location 21 9.2
DEBUG: overlap 447.276
DEBUG: checking location 23.8 26
DEBUG: overlap 139.122
DEBUG: checking location 23.8 23.2
DEBUG: overlap 112.808
DEBUG: updating best location
DEBUG: checking location 23.8 20.4
DEBUG: overlap 180.762
DEBUG: checking location 23.8 17.6
DEBUG: overlap 249.395
DEBUG: checking location 23.8 14.8
DEBUG: overlap 334.212
DEBUG: checking location 23.8 12
DEBUG: overlap 457.187
DEBUG: checking location 23.8 9.2
DEBUG: overlap 511.279
DEBUG: checking location 26.6 26
DEBUG: overlap 248.365
DEBUG: checking location 26.6 23.2
DEBUG: overlap 201.171
DEBUG: checking location 26.6 20.4
DEBUG: overlap 227.24
DEBUG: checking location 26.6 17.6
DEBUG: overlap 308.341
DEBUG: checking location 26.6 14.8
DEBUG: overlap 432.375
DEBUG: checking location 26.6 12
DEBUG: overlap 528.924
DEBUG: checking location 26.6 9.2
DEBUG: overlap 506.82
DEBUG: checking location 23.24 23.2
DEBUG: overlap 120.066
DEBUG: checking location 23.8 23.76
DEBUG: overlap 114.397
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 36
overlap 1 6 0
overlap 2 3 0
overlap 2 4 20.9095
overlap 2 5 12.8912
overlap 2 6 0
overlap 3 4 0
overlap 3 5 63.9164
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 133.717
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 5.26884
protrusion 5 0
protrusion 6 0
total protrusion 5.26884
connectivity 0 3 92.9079
connectivity 1 2 157.804
connectivity 3 4 127.69
connectivity 4 5 206.878
total connect 585.28
total separate 0
total block 0
